## ros-kinetic-combined-robot-hw-tests 0.13.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(combined_robot_hw_tests)

find_package(catkin REQUIRED COMPONENTS
  combined_robot_hw
  controller_manager
  controller_manager_tests
  hardware_interface
  roscpp
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS combined_robot_hw hardware_interface roscpp
)

add_library(${PROJECT_NAME}
  src/my_robot_hw_1.cpp
  src/my_robot_hw_2.cpp
  src/my_robot_hw_3.cpp
  src/my_robot_hw_4.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(combined_robot_hw_dummy_app src/dummy_app.cpp)
target_link_libraries(combined_robot_hw_dummy_app ${PROJECT_NAME} ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)

  find_package(rostest REQUIRED)
  add_rostest_gtest(combined_robot_hw_test
    test/combined_robot_hw_test.test
    test/combined_robot_hw_test.cpp
  )
  target_link_libraries(combined_robot_hw_test ${PROJECT_NAME} ${catkin_LIBRARIES})

  add_rostest_gtest(combined_robot_hw_cm_test
    test/cm_test.test
    test/cm_test.cpp
  )
  target_link_libraries(combined_robot_hw_cm_test ${PROJECT_NAME} ${catkin_LIBRARIES})

endif()

# Install
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS ${PROJECT_NAME}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES test_robot_hw_plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-combined-robot-hw-tests (0.13.5-1xenial) xenial; urgency=high

  * Improve controller and resource filtering for CombinedRobotHW
  * Contributors: Toni Oliver, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 09 Feb 2020 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.13.4-1xenial) xenial; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 12 Jan 2020 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.13.3-1xenial) xenial; urgency=high

  * Update maintainers
  * Fix catkin_lint errors and warnings
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 25 Apr 2018 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.13.2-1xenial) xenial; urgency=high

  * migrate to new class list macros header
  * Contributors: Mathias Lüdtke

 -- Toni Oliver <toni@shadowrobot.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.13.1-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.13.0-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sat, 23 Dec 2017 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.12.0-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 04 Aug 2017 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.11.5-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 27 Jun 2017 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.11.4-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 14 Feb 2017 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.11.3-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Wed, 07 Dec 2016 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.11.2-1xenial) xenial; urgency=high

  * Add Toni's email to the author fields too
  * Add Enrique and Bence to maintainer list
  * Convert to format2, fix dependency in cmake
  * Contributors: Bence Magyar

 -- Toni Oliver <toni@shadowrobot.com>  Mon, 28 Nov 2016 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.11.1-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Wed, 17 Aug 2016 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.11.0-1xenial) xenial; urgency=high

  * Add packages combined_robot_hw and combined_robot_hw_tests. combined_robot_hw allows to load different RobotHW as plugins and combines them into a single RobotHW. A single controller manager can then access resources from any robot.
  * Contributors: Toni Oliver

 -- Toni Oliver <toni@shadowrobot.com>  Sun, 22 May 2016 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.10.1-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 22 Apr 2016 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.10.0-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 20 Nov 2015 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.9.4-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.9.3-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 04 May 2015 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.9.2-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 03 May 2015 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.9.1-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.9.0-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.8.2-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.8.1-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.8.0-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 11 May 2014 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.7.3-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 28 Oct 2014 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.7.2-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.7.1-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.7.0-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.6.0-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.5.8-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.5.7-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.5.6-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-kinetic-combined-robot-hw-tests (0.5.5-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 23 Jul 2013 16:04:00 -0000

ros-kinetic-combined-robot-hw-tests (0.5.4-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Tue, 23 Jul 2013 13:37:00 -0000

ros-kinetic-combined-robot-hw-tests (0.5.3-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 22 Jul 2013 17:06:00 -0000

ros-kinetic-combined-robot-hw-tests (0.5.2-1xenial) xenial; urgency=high



 -- Toni Oliver <toni@shadowrobot.com>  Mon, 22 Jul 2013 14:00:00 -0000



=== debian/control ===
Source: ros-kinetic-combined-robot-hw-tests
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-combined-robot-hw, ros-kinetic-controller-manager, ros-kinetic-controller-manager-tests, ros-kinetic-hardware-interface, ros-kinetic-roscpp, ros-kinetic-rostest
Homepage: https://github.com/ros-controls/ros_control/wiki
Standards-Version: 3.9.2

Package: ros-kinetic-combined-robot-hw-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-combined-robot-hw, ros-kinetic-controller-manager, ros-kinetic-controller-manager-tests, ros-kinetic-hardware-interface, ros-kinetic-roscpp
Description: The combined_robot_hw_tests package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-combined-robot-hw-tests//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
